Represents the status of the order.
Created - Order has no payments associated to it or all payment attempts have failed.
Pending - Order has a payment associated to it which is in progress but not concluded.
Paid - Order has a payment associated to it with final status 'Success'.
Canceled - This status can occur by system routines, shopper action by clicking on 'cancel payment' button in the hosted page or by calling the order cancel endpoint.
Expired - This status occurs by system routines that checks for payment abandonment or in case an expiration date is sent in the create order request.
Refunded - In case a successful payment is refunded, its order will have the 'Refunded' status.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Paybyrd","colors":{"primary":"#6319F0","light":"#A4ADFF","dark":"#6319F0"},"logo":{"light":"https://mintcdn.com/paybyrd/X3OHHz6EJVWhNTO3/images/logo-light-full.png?fit=max\u0026auto=format\u0026n=X3OHHz6EJVWhNTO3\u0026q=85\u0026s=35a8f83493759c89b1ee80db71265676","dark":"https://mintcdn.com/paybyrd/X3OHHz6EJVWhNTO3/images/logo-dark-full.png?fit=max\u0026auto=format\u0026n=X3OHHz6EJVWhNTO3\u0026q=85\u0026s=7d1a41429a1708ce79ff23f45f296959"},"favicon":"https://mintcdn.com/paybyrd/GOPy9l9hDJ70VNa1/images/Avatar-Square.png?fit=max\u0026auto=format\u0026n=GOPy9l9hDJ70VNa1\u0026q=85\u0026s=78f2ae4b46f5e013c30d747f9889aa80","background":{"color":{"light":"#f2f2f2","dark":"#2e2e2e"}},"navbar":{"links":[{"href":"https://www.paybyrd.com/","label":"Paybyrd"},{"href":"https://status.paybyrd.com/","label":"Status"}],"primary":{"type":"button","label":"Get started with Paybyrd","href":"https://backoffice.paybyrd.com/"}},"footer":{"socials":{"website":"https://www.paybyrd.com/"},"links":[{"header":"Mobile","items":[{"label":"Get the dashboard app","href":"/get-started/start-building"}]}]},"fonts":{"family":"DM Sans","weight":400,"source":"https://fonts.gstatic.com/s/dmsans/v17/rP2Yp2ywxg089UriI5-g7M8btVsD8Ck0q7u0-K6z8GXhnU0.woff2","format":"woff2"},"icons":{"library":"lucide"},"integrations":{"ga4":{"measurementId":"G-7PQTSPLP9K"}},"contextual":{"options":["copy","view","vscode","chatgpt","claude","mcp","add-mcp"],"display":"toc"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"paybyrd","hasAudioNarration":false,"actualSubdomain":"paybyrd","customDomains":["docs.paybyrd.com"],"gitSource":{"type":"github","owner":"paybyrd","repo":"paybyrd-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adfac3b1ec88bdf5ff40127","collectionId":"99135064-27cc-4e8f-a205-a81518acd153","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adfac3b1ec88bdf5ff40127"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adfac3b1ec88bdf5ff40127","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"API Reference","count":30},{"language":"default","tag":"Payments API","count":26},{"language":"default","tag":"Payments","count":23},{"language":"default","tag":"Integrations","count":14},{"language":"default","tag":"Accept Payments","count":13},{"language":"default","tag":"Get started","count":8},{"language":"default","tag":"Manage Payments","count":8},{"language":"default","tag":"Transactions","count":8},{"language":"default","tag":"Webhooks","count":8},{"language":"default","tag":"Point of Sale","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/orders/query-order","slug":"/api-reference/orders/query-order","pageMetadata":{"title":"Query Order","description":"Query order data by order id","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/orders/{orderId}","href":"/api-reference/orders/query-order","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Query order data by order id\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Query Order","description":"Query order data by order id","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/orders/{orderId}","href":"/api-reference/orders/query-order","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Orders"],"summary":"Query Order","description":"Query order data by order id","operationId":"api-orders-query","parameters":["c089b88c-a234-4c4e-86ec-38315b742cda"],"responses":{"200":"e9202410-7da5-4354-86ad-410ce366c050"},"deprecated":false,"method":"get","type":"path","servers":["72fd1cc1-663b-467d-beb5-358ad27a2640"],"security":["25788e77-5004-4d78-a9a1-daae3364455d"],"path":"/api/v2/orders/{orderId}","baseUrlOptions":["https://gateway.paybyrd.com"],"title":"Query Order","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"c089b88c-a234-4c4e-86ec-38315b742cda":{"name":"orderId","in":"path","description":"The order identifier generated by Paybyrd.","schema":{"type":"string","isRequired":true,"description":"The order identifier generated by Paybyrd.","uniqueKey":"","typeLabel":"string"},"required":true}},"responses":{"e9202410-7da5-4354-86ad-410ce366c050":{"description":"200","content":{"application/json":{"examples":{"Result":{"title":"Result","description":"This is an example of how the order response is returned","value":{"orderId":"63a8a157-81c9-46ea-84b4-2bef6daad3fa","orderDate":"2021-08-24T17:45:27Z","expiresAt":"2021-08-25T17:45:27Z","status":"paid","isoAmount":5000,"currency":"EUR","orderRef":"ABC123456","shopper":{"shopperId":"676b5023-9624-4d19-bdd2-c61b1be803b7","firstName":"JHOSH","lastName":"JONES","email":"jhoshjs@dominio.com","phoneCountryCode":351,"phoneNumber":"123123123","ip":"111.111.111.111"},"shoppingCart":[{"description":"Product","amount":2500,"categories":["Category 1","Category 2"],"shipping":{"shippingMethod":"STD"},"type":"Product","imageUrl":"https://cdn.merchant.com/products/ticket.png"}],"orderOptions":{"redirectUrl":"https://your-site-url/payment-finished","culture":"en-US","checkoutVersion":2,"expiresIn":"00:15:00"},"paymentOptions":{"maxAttempts":1,"sessionExpiresIn":"00:10:00","allowedPaymentMethods":["CARD","SIBS_MULTIBANCO","SEPA","IDEAL","MBWAY"],"cardOptions":{"isPreAuth":false},"tokenOptions":{"customReference":"ABC123456","tokenizationIsRequired":false,"tokenizationMethod":"cardOnFile"}},"index":1,"transactions":{"currency":"AOA","orderRef":"AMZ1962","brand":"MULTICAIXAEXPRESS","operationType":"Payment","status":"Success","createdDate":"2021-05-31T22:01:57Z","transactionDate":"2021-05-31T22:01:57Z","initiatedFrom":"HostedForm","personId":10,"index":2,"externalSessionIdentifier":"20c7c4b3-95cc-4ead-aa0b-918b634df05a,","externalTransactionIdentifier":"430f4c76-4eb8-40e0-bc80-562b2960a83f,","externalCustomIdentifier":"c9a625d4-d968-47a0-b237-e5d4f31dfcd4","transactionId":"c9a625d4-d968-47a0-b237-e5d4f31dfcd4","amount":"300.10","multicaixaExpress":{"deeplink":"mcxwallet://purchase?qrref=000201010212260700032205203742530497325406300.105802AO5908ProxyPay6006Luanda61081000-10062430532fe4eeddd078343c391d6d10721233a3207034446304F577","deeplinkRedirect":"https://api.sandbox.proxypay.co.ao/deeplink/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hqDKVFMDAwMjAxMDEwMjEyMjYwNzAwMDMyMjA1MjAzNzQyNTMwNDk3MzI1NDA2MzAwLjEwNTgwMkFPNTkwOFByb3h5UGF5NjAwNkx1YW5kYTYxMDgxMDAwLTEwMDYyNDMwNTMyZmU0ZWVkZGQwNzgzNDNjMzkxZDZkMTA3MjEyMzNhMzIwNzAzNDQ0NjMwNEY1Nzc=","qrCodeUrl":"https://api.sandbox.proxypay.co.ao/qrcode/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hqDKVFMDAwMjAxMDEwMjEyMjYwNzAwMDMyMjA1MjAzNzQyNTMwNDk3MzI1NDA2MzAwLjEwNTgwMkFPNTkwOFByb3h5UGF5NjAwNkx1YW5kYTYxMDgxMDAwLTEwMDYyNDMwNTMyZmU0ZWVkZGQwNzgzNDNjMzkxZDZkMTA3MjEyMzNhMzIwNzAzNDQ0NjMwNEY1Nzc=","expiresAt":"2026-05-19T18:00:37"}}}}},"schema":{"type":"object","properties":{"orderId":{"type":"string","description":"This field contains the unique identifier that represents the order.","format":"guid","example":"e901d7fa-a41a-4c93-bc53-7a08cd72aff4","uniqueKey":"orderId","typeLabel":"string\u003cguid>"},"isoAmount":{"type":"integer","description":"Total amount for this order","format":"int64","uniqueKey":"isoAmount","typeLabel":"integer\u003cint64>"},"amount":{"type":"string","description":"Total amount for this order, with the following pattern \"0.00\"","example":"25.00","uniqueKey":"amount","typeLabel":"string"},"currency":{"type":"string","description":"Valid ISO-4217 alpha code e.g EUR","example":"EUR","uniqueKey":"currency","typeLabel":"string"},"orderRef":{"type":"string","description":"Merchant reference for this order","example":"ABC123456","uniqueKey":"orderRef","typeLabel":"string"},"status":{"type":"string","description":"Represents the status of the order.\nCreated - Order has no payments associated to it or all payment attempts have failed.\nPending - Order has a payment associated to it which is in progress but not concluded.\nPaid - Order has a payment associated to it with final status 'Success'.\nCanceled - This status can occur by system routines, shopper action by clicking on 'cancel payment' button in the hosted page or by calling the order cancel endpoint.\nExpired - This status occurs by system routines that checks for payment abandonment or in case an expiration date is sent in the create order request.\nRefunded - In case a successful payment is refunded, its order will have the 'Refunded' status.","example":"created","enum":["created","paid","pending","refunded","canceled","expired"],"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"orderDate":{"type":"string","description":"Order creation date in UTC","example":"2021-05-31T22:04:31Z","uniqueKey":"orderDate","typeLabel":"string"},"expiresAt":{"type":"string","description":"Order expiration date in UTC","example":"2021-05-31T22:04:31Z","uniqueKey":"expiresAt","typeLabel":"string"},"canceledAt":{"type":"string","description":"Order cancellation date in UTC","example":"2021-05-31T22:04:31Z","uniqueKey":"canceledAt","typeLabel":"string"},"lastTransactionId":{"type":"string","description":"Identifier of the last transaction processed for this order","example":"1c5a405d-1525-4ded-ae5b-d7dfded4a194","format":"guid","uniqueKey":"lastTransactionId","typeLabel":"string\u003cguid>"},"refundedAmount":{"type":"string","description":"Total refunded amount for this order, with the following pattern \"0.00\" ","example":"25.00","uniqueKey":"refundedAmount","typeLabel":"string"},"shopper":{"type":"object","properties":{"shopperId":{"type":"string","description":"This field contains the unique identifier generated by Paybyrd and it is returned in the API response","format":"guid","example":"e901d7fa-a41a-4c93-bc53-7a08cd72aff4","readOnly":true,"uniqueKey":"shopper.shopperId","typeLabel":"string\u003cguid>"},"email":{"type":"string","description":"The shopper's email address","format":"email","example":"shopper_email@mail.com","uniqueKey":"shopper.email","typeLabel":"string\u003cemail>"},"firstName":{"type":"string","description":"The shopper's first name","example":"Peter","uniqueKey":"shopper.firstName","typeLabel":"string"},"lastName":{"type":"string","description":"The shopper's last name","example":"Park","uniqueKey":"shopper.lastName","typeLabel":"string"},"birthName":{"type":"string","description":"The shopper's birth name","uniqueKey":"shopper.birthName","typeLabel":"string"},"birthDate":{"type":"string","description":"The The shopper's birth date","example":"1985-05-31","uniqueKey":"shopper.birthDate","typeLabel":"string"},"birthPostalCode":{"type":"string","description":"The shopper's postal code associated with the birth address","uniqueKey":"shopper.birthPostalCode","typeLabel":"string"},"customReference":{"type":"string","description":"A custom reference to the shopper","uniqueKey":"shopper.customReference","typeLabel":"string"},"civility":{"type":"string","description":"The civility or title of the shopper","example":"Mr, Mrs, Ms","uniqueKey":"shopper.civility","typeLabel":"string"},"phoneCountryCode":{"type":"integer","description":"The shopper's phone country code","format":"int32","example":351,"uniqueKey":"shopper.phoneCountryCode","typeLabel":"integer\u003cint32>"},"phoneNumber":{"type":"string","description":"The shopper's phone number without country code","example":"123123123","maximum":20,"uniqueKey":"shopper.phoneNumber","typeLabel":"string"},"shippingAddress":{"type":"string","description":"The shopper's shipping address","uniqueKey":"shopper.shippingAddress","typeLabel":"string"},"shippingPostalCode":{"type":"string","description":"The shopper's shipping postal code","uniqueKey":"shopper.shippingPostalCode","typeLabel":"string"},"shippingCity":{"type":"string","description":"The shopper's shipping city","uniqueKey":"shopper.shippingCity","typeLabel":"string"},"shippingCountry":{"type":"string","description":"The shopper's shipping country valid ISO-3166 alpha-3 code","example":"PRT","uniqueKey":"shopper.shippingCountry","typeLabel":"string"},"shippingState":{"type":"string","description":"The state or province of the shopper's shipping address","example":"SP","maximum":2,"uniqueKey":"shopper.shippingState","typeLabel":"string"},"shippingType":{"type":"string","description":"The shopper's shipping type","example":"National, International, UrgentNational, UrgentInternational","uniqueKey":"shopper.shippingType","typeLabel":"string"},"homeAddress":{"type":"string","description":"The shopper's home address","uniqueKey":"shopper.homeAddress","typeLabel":"string"},"homePostalCode":{"type":"string","description":"The postal code of the shopper's home address","uniqueKey":"shopper.homePostalCode","typeLabel":"string"},"homeCity":{"type":"string","description":"The city of the shopper's home address","uniqueKey":"shopper.homeCity","typeLabel":"string"},"homeCountry":{"type":"string","description":"The country of the shopper's home address","example":"PRT","uniqueKey":"shopper.homeCountry","typeLabel":"string"},"ipAddress":{"type":"string","description":"The shopper's IP address","format":"192.168.0.1","uniqueKey":"shopper.ipAddress","typeLabel":"string\u003c192.168.0.1>"},"documentNumber":{"type":"string","description":"The shopper's document number","example":"ID card number, passport number...","uniqueKey":"shopper.documentNumber","typeLabel":"string"},"firstPurchaseDate":{"type":"string","description":"The date and time of the first purchase made by the shopper","example":"2021-05-10T12:30:00Z","uniqueKey":"shopper.firstPurchaseDate","typeLabel":"string"},"lastPurchaseDate":{"type":"string","description":"The date and time of the last purchase made by the shopper","example":"2021-12-19T19:30:00Z","uniqueKey":"shopper.lastPurchaseDate","typeLabel":"string"}},"uniqueKey":"shopper","typeLabel":"object"},"ShoppingCart":{"type":"array","items":{"oneOf":[{"type":"object","title":"Product","properties":{"amount":{"type":"integer","description":"The amount of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.amount","typeLabel":"integer"},"categories":{"type":"array","items":{"type":"string","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.categories.items.[INDEX]","typeLabel":"string"},"description":"The categories of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.categories","typeLabel":"string[]"},"description":{"type":"string","description":"The description of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.description","typeLabel":"string"},"shipping":{"type":"string","properties":{"shippingMethod":{"type":"string","enum":["ADX","AE1","AGE","CHX","CHR","CDS","COL","CRE","CSX","DRO","EA1","EMP","EMX","EXP","FDR","GLS","IMP","KIA","KIB","LCE","LCS","LDS","LDE","LDR","LSP","LCK","MAG","MOR","M30","OT1","OT2","OT3","PRM","RDE","RCO","RCD","RDO","REG","REL","RIM","RCE","SO1","SO2","STD","STU","TNT","TNB","TNX","TRP","TRK","UPS","VIR"],"description":"The shipping method"}},"description":"The shipping method for the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.shipping","typeLabel":"string"},"type":{"type":"string","description":"The type of the item","example":"Product (Fixed value for product shopping cart item)","enum":["Product"],"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"imageUrl":{"oneOf":[{"type":"string","maxLength":2048,"description":"Product image URL rendered by Paybyrd Checkout alongside the item. Must use HTTPS and end in .png, .jpg, .jpeg, .webp, or .svg.","example":"https://cdn.merchant.com/products/ticket.png","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.imageUrl.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":2048,"description":"Product image URL rendered by Paybyrd Checkout alongside the item. Must use HTTPS and end in .png, .jpg, .jpeg, .webp, or .svg.","example":"https://cdn.merchant.com/products/ticket.png","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.imageUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0.imageUrl","typeLabel":"string | null"}},"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.0","typeLabel":"Product · object"},{"type":"object","title":"Travel","properties":{"amount":{"type":"integer","description":"The amount of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.amount","typeLabel":"integer"},"categories":{"type":"array","items":{"type":"string","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.categories.items.[INDEX]","typeLabel":"string"},"description":"The categories of the item","example":["AIRLINE TICKET"],"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.categories","typeLabel":"string[]"},"description":{"type":"string","description":"The description of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.description","typeLabel":"string"},"shipping":{"type":"string","properties":{"shippingMethod":{"type":"string","enum":["ADX","AE1","AGE","CHX","CHR","CDS","COL","CRE","CSX","DRO","EA1","EMP","EMX","EXP","FDR","GLS","IMP","KIA","KIB","LCE","LCS","LDS","LDE","LDR","LSP","LCK","MAG","MOR","M30","OT1","OT2","OT3","PRM","RDE","RCO","RCD","RDO","REG","REL","RIM","RCE","SO1","SO2","STD","STU","TNT","TNB","TNX","TRP","TRK","UPS","VIR"],"description":"The shipping method"}},"description":"The shipping method for the item","example":"VIR","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.shipping","typeLabel":"string"},"type":{"type":"string","description":"The type of the item","example":"Travel (Fixed value for travel shopping cart item)","enum":["Travel"],"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"departure":{"type":"string","description":"The IATA code of the airport/train or bus station if travel with transportation, else IATA code of the stay city","example":"GIG","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.departure","typeLabel":"string"},"departureDate":{"type":"string","format":"date-time","description":"The date and time of departure","example":"2024-12-19T19:30:00Z","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.departureDate","typeLabel":"string\u003cdate-time>"},"destination":{"type":"string","description":"The IATA code of the airport/train or bus station if travel with transportation, empty otherwise","example":"LIS","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.destination","typeLabel":"string"},"destinationCountryCode":{"type":"string","description":"The destination country code, format ISO 3166-1 alpha-3","example":"PRT","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.destinationCountryCode","typeLabel":"string"},"hasInsurance":{"type":"boolean","description":"Indicates if the customer chooses an insurance","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.hasInsurance","typeLabel":"boolean"},"mainDepartureCompany":{"type":"string","description":"The Airline name of the first flight (IATA code) in case of travel with flight, empty otherwise","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.mainDepartureCompany","typeLabel":"string"},"returnDate":{"oneOf":[{"type":"string","format":"date-time","description":"Can be null if the customer chooses a one-way trip. The date and time of return otherwise","example":"2024-12-19T19:30:00Z","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.returnDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Can be null if the customer chooses a one-way trip. The date and time of return otherwise","example":"2024-12-19T19:30:00Z","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.returnDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.returnDate","typeLabel":"string\u003cdate-time> | null"},"travelersCount":{"type":"integer","description":"The number of passengers","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.travelersCount","typeLabel":"integer"},"travelType":{"type":"string","description":"The type of travel","enum":["Unknown","OneWay","TwoWay","Multiple"],"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1.travelType","typeLabel":"enum\u003cstring>"}},"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.1","typeLabel":"Travel · object"},{"type":"object","title":"Travel with stay","properties":{"amount":{"type":"integer","description":"The amount of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2.amount","typeLabel":"integer"},"categories":{"type":"array","items":{"type":"string","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2.categories.items.[INDEX]","typeLabel":"string"},"description":"The categories of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2.categories","typeLabel":"string[]"},"description":{"type":"string","description":"The description of the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2.description","typeLabel":"string"},"shipping":{"type":"string","properties":{"shippingMethod":{"type":"string","enum":["ADX","AE1","AGE","CHX","CHR","CDS","COL","CRE","CSX","DRO","EA1","EMP","EMX","EXP","FDR","GLS","IMP","KIA","KIB","LCE","LCS","LDS","LDE","LDR","LSP","LCK","MAG","MOR","M30","OT1","OT2","OT3","PRM","RDE","RCO","RCD","RDO","REG","REL","RIM","RCE","SO1","SO2","STD","STU","TNT","TNB","TNX","TRP","TRK","UPS","VIR"],"description":"The shipping method"}},"description":"The shipping method for the item","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2.shipping","typeLabel":"string"},"type":{"type":"string","description":"The type of the item","example":"TravelWithStay (Fixed value for TravelWithStay shopping cart item)","enum":["TravelWithStay"],"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2.type","typeLabel":"enum\u003cstring>"},"roomRange":{"type":"string","description":"Accommodation range if travel with stay","example":"2 stars","uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2.roomRange","typeLabel":"string"}},"uniqueKey":"ShoppingCart.items.[INDEX].oneOf.2","typeLabel":"Travel with stay · object"}],"uniqueKey":"ShoppingCart.items.[INDEX]","typeLabel":"Product · object | Travel · object | Travel with stay · object"},"uniqueKey":"ShoppingCart","typeLabel":"(Product · object | Travel · object | Travel with stay · object)[]"},"orderOptions":{"type":"object","description":"Defines settings for this order","properties":{"redirectUrl":{"type":"string","description":"This is the URL which the shopper will be redirected to after payment is concluded in Paybyrd Checkout. We will always concatenate relevant information of the payment as query string parameters in the URL provided. The transactionId and orderId will always be available, so you can use this data to query the status of the order after redirection.","example":"https://your-site-url/payment-finished","format":"url","uniqueKey":"orderOptions.redirectUrl","typeLabel":"string\u003curl>"},"culture":{"type":"string","description":"The order culture defines which language will be used to present the order information to the customer.","example":"en-US","uniqueKey":"orderOptions.culture","typeLabel":"string"},"expiresIn":{"type":"string","description":"The order will expire according to the value given passed in this field in case its status is 'Created'. In case you also send 'sessionExpiresIn' in the request, the final expiration time will be the sum of both.","format":"timespan","example":"00:15:00","uniqueKey":"orderOptions.expiresIn","typeLabel":"string\u003ctimespan>"},"notifyBy":{"type":"object","description":"This is Paybyrd's paybylink feature. When 'notifyBy' is provided, a payment link will be sent to the channels defined inside this object.","properties":{"email":{"type":"object","properties":{"address":{"type":"string","description":"The email which the payment link will be sent to.","format":"email","example":"shopper_email@mail.com","uniqueKey":"orderOptions.notifyBy.email.address","typeLabel":"string\u003cemail>"}},"uniqueKey":"orderOptions.notifyBy.email","typeLabel":"object"},"sms":{"type":"object","properties":{"phoneCountryCode":{"type":"integer","description":"The phone country code which the link will be sent to.","format":"int32","example":351,"uniqueKey":"orderOptions.notifyBy.sms.phoneCountryCode","typeLabel":"integer\u003cint32>"},"PhoneNumber":{"type":"string","description":"The phone number which the link will be sent to.","example":"123123123","maximum":20,"uniqueKey":"orderOptions.notifyBy.sms.PhoneNumber","typeLabel":"string"}},"uniqueKey":"orderOptions.notifyBy.sms","typeLabel":"object"},"whatsapp":{"type":"object","properties":{"phoneCountryCode":{"type":"integer","description":"The phone country code which the link will be sent to.","format":"int32","example":351,"uniqueKey":"orderOptions.notifyBy.whatsapp.phoneCountryCode","typeLabel":"integer\u003cint32>"},"PhoneNumber":{"type":"string","description":"The phone number which the link will be sent to.","example":"123123123","maximum":20,"uniqueKey":"orderOptions.notifyBy.whatsapp.PhoneNumber","typeLabel":"string"}},"uniqueKey":"orderOptions.notifyBy.whatsapp","typeLabel":"object"}},"uniqueKey":"orderOptions.notifyBy","typeLabel":"object"},"checkoutVersion":{"type":"integer","description":"Defines the Checkout version to be used for this order. Version 1 uses the legacy hosted form, version 2 uses the new Checkout.","enum":[1,2],"example":2,"uniqueKey":"orderOptions.checkoutVersion","typeLabel":"enum\u003cinteger>"}},"uniqueKey":"orderOptions","typeLabel":"object"},"paymentOptions":{"type":"object","description":"Defines settings for payment.","properties":{"maxAttempts":{"type":"integer","description":"Indicates the max number of attempts that the shopper has to conclude the payment in Paybyrd Checkout. ","format":"int32","example":3,"uniqueKey":"paymentOptions.maxAttempts","typeLabel":"integer\u003cint32>"},"sessionExpiresIn":{"type":"string","description":"Defines the time that the shopper has to initiate the payment once the Checkout is open. Session restarts whenever the hosted page is closed and opened again.","format":"timespan","example":"00:15:00","uniqueKey":"paymentOptions.sessionExpiresIn","typeLabel":"string\u003ctimespan>"},"allowedPaymentMethods":{"type":"array","description":"Indicates which payment methods will be available for the shopper to choose in Paybyrd Checkout form.","items":{"type":"string","description":"Represents the payment method of the transaction.","example":"CARD","enum":["CARD","MBWAY","SIBS_MULTIBANCO","IDEAL","PAYPAL","MULTICAIXA_REF","SEPA","FLOA1XD","FLOA3X","FLOA4X"],"uniqueKey":"paymentOptions.allowedPaymentMethods.items.[INDEX]","typeLabel":"enum\u003cstring>"},"example":["CARD","MBWAY"],"uniqueKey":"paymentOptions.allowedPaymentMethods","typeLabel":"enum\u003cstring>[]"},"cardOptions":{"type":"object","properties":{"isPreAuth":{"type":"boolean","description":"Indicates whether the payment will be processed as a pre-authorization or not if paid with card","uniqueKey":"paymentOptions.cardOptions.isPreAuth","typeLabel":"boolean"}},"uniqueKey":"paymentOptions.cardOptions","typeLabel":"object"},"tokenOptions":{"type":"object","description":"Defines the payment tokenization settings.","required":["customReference"],"properties":{"customReference":{"type":"string","description":"Custom reference serves as a virtual wallet or identifier that allows you to group and manage multiple tokenized cards When an order is created using the custom reference, all the tokenized cards associated with that reference will be displayed in Paybyrd Checkout, allowing the customer to choose which tokenized card they want to use for the transaction. If there are no tokenized cards associated with the provided custom reference, the Paybyrd system will tokenize the payment card chosen by the shopper.","maximum":50,"example":"ABC123456789","isRequired":true,"uniqueKey":"paymentOptions.tokenOptions.customReference","typeLabel":"string"},"tokenizationIsRequired":{"type":"boolean","description":"Indicates whether the tokenization of the card payment is mandatory or not for the transaction. ","example":false,"uniqueKey":"paymentOptions.tokenOptions.tokenizationIsRequired","typeLabel":"boolean"},"tokenizationMethod":{"type":"string","description":"The value indicates what type of tokenization method should be used. At the moment, only card type payments can generate tokens. The value \"cardOnFile\" is generally used for one-click payment scenarios. The value \"subscription' is used for recurring payments.","enum":["cardOnFile","subscription"],"uniqueKey":"paymentOptions.tokenOptions.tokenizationMethod","typeLabel":"enum\u003cstring>"}},"uniqueKey":"paymentOptions.tokenOptions","typeLabel":"object"}},"uniqueKey":"paymentOptions","typeLabel":"object"},"index":{"type":"integer","uniqueKey":"index","typeLabel":"integer"},"transactions":{"type":"array","items":{"type":"object","properties":{"transactionId":{"type":"string","description":"The unique identifier of the transaction.","example":"c9a625d4-d968-47a0-b237-e5d4f31dfcd4","format":"guid","uniqueKey":"transactions.items.[INDEX].transactionId","typeLabel":"string\u003cguid>"},"attempt":{"type":"integer","description":"The number of attempt that this transaction represents when associated to an order","example":1,"format":"int32","uniqueKey":"transactions.items.[INDEX].attempt","typeLabel":"integer\u003cint32>"},"index":{"type":"integer","description":"The position of this transaction in the list. You can order by this property if needed.","example":1,"uniqueKey":"transactions.items.[INDEX].index","typeLabel":"integer"},"amount":{"type":"string","description":"The transaction amount.","example":"13.00","uniqueKey":"transactions.items.[INDEX].amount","typeLabel":"string"},"isoAmount":{"type":"integer","description":"The transaction amount.","example":1300,"format":"int64","uniqueKey":"transactions.items.[INDEX].isoAmount","typeLabel":"integer\u003cint64>"},"acquirer":{"type":"string","description":"Indicates which acquirer the transaction was processed","example":"VALITOR","enum":["SIBS","VALITOR","BAMBORA","PPRO","PAYPAY","REDE","PROXYPAY","PAYPAL","PAYWORKS","FLOA","SIMULATED"],"uniqueKey":"transactions.items.[INDEX].acquirer","typeLabel":"enum\u003cstring>"},"brand":{"type":"string","description":"Represents the payment method brand of the transaction.","example":"VISA","enum":["VISA","MASTER","AMEX","DINERS","DISCOVER","JCB","ELO","VPAY","DANKORT","MBWAY","SIBS_MULTIBANCO","IDEAL","PAYPAL","MULTICAIXA_REF","SEPA","FLOA1XD","FLOA3X","FLOA4X"],"uniqueKey":"transactions.items.[INDEX].brand","typeLabel":"enum\u003cstring>"},"paymentMethod":{"type":"string","description":"Represents the payment method of the transaction.","example":"CARD","enum":["CARD","MBWAY","SIBS_MULTIBANCO","IDEAL","PAYPAL","MULTICAIXA_REF","SEPA","FLOA1XD","FLOA3X","FLOA4X"],"uniqueKey":"transactions.items.[INDEX].paymentMethod","typeLabel":"enum\u003cstring>"},"capturedDate":{"type":"string","example":"2021-05-31T22:04:31Z","uniqueKey":"transactions.items.[INDEX].capturedDate","typeLabel":"string"},"createdDate":{"type":"string","example":"2021-05-31T22:01:57Z","uniqueKey":"transactions.items.[INDEX].createdDate","typeLabel":"string"},"initiatedFrom":{"type":"string","description":"Represents the payment method of the transaction.","example":"CARD","enum":["CARD","MBWAY","SIBS_MULTIBANCO","IDEAL","PAYPAL","MULTICAIXA_REF","SEPA","FLOA1XD","FLOA3X","FLOA4X"],"uniqueKey":"transactions.items.[INDEX].initiatedFrom","typeLabel":"enum\u003cstring>"},"currency":{"type":"string","example":"EUR","uniqueKey":"transactions.items.[INDEX].currency","typeLabel":"string"},"externalCustomIdentifier":{"type":"string","example":"c9a625d4-d968-47a0-b237-e5d4f31dfcd4","uniqueKey":"transactions.items.[INDEX].externalCustomIdentifier","typeLabel":"string"},"operationType":{"type":"string","example":"PreAuth","uniqueKey":"transactions.items.[INDEX].operationType","typeLabel":"string"},"orderRef":{"type":"string","example":"AMZ1962","uniqueKey":"transactions.items.[INDEX].orderRef","typeLabel":"string"},"personId":{"type":"integer","example":10,"default":0,"uniqueKey":"transactions.items.[INDEX].personId","typeLabel":"integer"},"status":{"type":"string","example":"Paid","uniqueKey":"transactions.items.[INDEX].status","typeLabel":"string"},"subscriptionGuid":{"type":"string","example":"5b16391d-b8b8-45c9-8aa3-4f6f3ce5a656","uniqueKey":"transactions.items.[INDEX].subscriptionGuid","typeLabel":"string"},"terminalId":{"type":"string","example":"EM30X4X5X0","uniqueKey":"transactions.items.[INDEX].terminalId","typeLabel":"string"},"transactionDate":{"type":"string","example":"2021-05-31T22:01:57Z","uniqueKey":"transactions.items.[INDEX].transactionDate","typeLabel":"string"},"multicaixaExpress":{"type":"object","description":"Multicaixa Express payment details. Only present when the transaction brand is MULTICAIXAEXPRESS.","properties":{"deeplink":{"type":"string","format":"uri","description":"Direct deeplink for the MultiCaixa Express app.","example":"mcxwallet://purchase?qrref=000201010212260700032205203742530497325406300.105802AO5908ProxyPay6006Luanda61081000-10062430532fe4eeddd078343c391d6d10721233a3207034446304F577","uniqueKey":"transactions.items.[INDEX].multicaixaExpress.deeplink","typeLabel":"string\u003curi>"},"deeplinkRedirect":{"type":"string","format":"uri","description":"Redirect URL for mobile and browser flows to the MultiCaixa Express app.","example":"https://api.sandbox.proxypay.co.ao/deeplink/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hq...","uniqueKey":"transactions.items.[INDEX].multicaixaExpress.deeplinkRedirect","typeLabel":"string\u003curi>"},"qrCodeUrl":{"type":"string","format":"uri","description":"QR Code image URL.","example":"https://api.sandbox.proxypay.co.ao/qrcode/LTvDt6U2WiFU0Ds_TScsbSbULbbCIbB2zrZsAS3r96hq...","uniqueKey":"transactions.items.[INDEX].multicaixaExpress.qrCodeUrl","typeLabel":"string\u003curi>"},"expiresAt":{"type":"string","format":"date-time","description":"Payment expiration timestamp in ISO 8601 format.","example":"2026-05-19T18:00:37","uniqueKey":"transactions.items.[INDEX].multicaixaExpress.expiresAt","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"transactions.items.[INDEX].multicaixaExpress","typeLabel":"object"}},"uniqueKey":"transactions.items.[INDEX]","typeLabel":"object"},"uniqueKey":"transactions","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"25788e77-5004-4d78-a9a1-daae3364455d":{"authByApiKey":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"authByApiKey"}}},"servers":{"72fd1cc1-663b-467d-beb5-358ad27a2640":{"url":"https://gateway.paybyrd.com","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"authByApiKey"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"authByApiKey","name":"x-api-key"}],"title":"authByApiKey"}]},"originalFileLocation":"openapi.yml"},"subdomain":"paybyrd","siteName":"Paybyrd","title":"Query Order - Paybyrd","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-26T19:38:40.661Z","originalFileLocation":"api-reference/orders/query-order.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Query order data by order id\">\u003cmeta data-mint-head name=\"application-name\" content=\"Paybyrd\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Query Order - Paybyrd\">\u003cmeta data-mint-head property=\"og:description\" content=\"Query order data by order id\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Paybyrd\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.paybyrd.com/api-reference/orders/query-order\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://paybyrd.mintlify.app/_mintlify/api/og/v2?division=Orders\u0026amp;title=Query+Order\u0026amp;description=Query+order+data+by+order+id\u0026amp;theme=482e40cfd6999bc2608c5e34\u0026amp;signature=0389d36606758af9a904109e17b59fe9bf10192a3e475294b13acf4f9f072dac\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Query Order - Paybyrd\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Query order data by order id\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://paybyrd.mintlify.app/_mintlify/api/og/v2?division=Orders\u0026amp;title=Query+Order\u0026amp;description=Query+order+data+by+order+id\u0026amp;theme=482e40cfd6999bc2608c5e34\u0026amp;signature=0389d36606758af9a904109e17b59fe9bf10192a3e475294b13acf4f9f072dac\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/paybyrd/ZQOx_ixbIt0VLR4c/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Paybyrd\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6319F0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.paybyrd.com/api-reference/orders/query-order\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/orders/query-order.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.paybyrd.com/#organization\",\"name\":\"Paybyrd\",\"url\":\"https://docs.paybyrd.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/paybyrd/X3OHHz6EJVWhNTO3/images/logo-light-full.png?fit=max\u0026auto=format\u0026n=X3OHHz6EJVWhNTO3\u0026q=85\u0026s=35a8f83493759c89b1ee80db71265676\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.paybyrd.com#website\",\"name\":\"Paybyrd\",\"url\":\"https://docs.paybyrd.com\",\"publisher\":{\"@id\":\"https://docs.paybyrd.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.paybyrd.com/api-reference/orders/query-order#webpage\",\"url\":\"https://docs.paybyrd.com/api-reference/orders/query-order\",\"name\":\"Query Order\",\"description\":\"Query order data by order id\",\"dateModified\":\"2026-10-26T19:38:40.661Z\",\"isPartOf\":{\"@id\":\"https://docs.paybyrd.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.paybyrd.com/api-reference/orders/query-order#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.paybyrd.com/api-reference/orders/query-order#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Payments API\",\"item\":\"https://docs.paybyrd.com/api-reference/payments/create-payment\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Orders\",\"item\":\"https://docs.paybyrd.com/api-reference/orders/create-order\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Query Order\",\"item\":\"https://docs.paybyrd.com/api-reference/orders/query-order\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.paybyrd.com/api-reference/orders/query-order#apireference\",\"headline\":\"Query Order\",\"name\":\"Query Order\",\"description\":\"Query order data by order id\",\"url\":\"https://docs.paybyrd.com/api-reference/orders/query-order\",\"mainEntityOfPage\":{\"@id\":\"https://docs.paybyrd.com/api-reference/orders/query-order#webpage\"},\"dateModified\":\"2026-10-26T19:38:40.661Z\",\"publisher\":{\"@id\":\"https://docs.paybyrd.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.paybyrd.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Paybyrd\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Paybyrd","nav":{"global":null,"tabs":[{"tab":"Get started","pages":[{"title":"Get started","href":"/introduction"}]},{"tab":"Payments","pages":[{"title":"Payments","href":"/accept-payments/how-it-works"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/embed/checkout"}]},{"tab":"API Reference","groups":[{"group":"API introduction","pages":[{"title":"API intro","href":"/api-reference/api-intro"},{"title":"Response code reference","href":"/api-reference/api-code-reference"},{"title":"Webhook API","href":"/api-reference/webhooks"}]},{"group":"Payments API","expanded":true,"pages":[{"group":"Payments","pages":[{"title":"Create Payment","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/payment","href":"/api-reference/payments/create-payment"},{"title":"Finish two-step card payment","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/payment/{transactionId}/pay","href":"/api-reference/payments/finish-two-step-card-payment"}]},{"group":"Transactions","pages":[{"title":"Refund","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/refund/{transactionId}","href":"/api-reference/transactions/refund"},{"title":"Release","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/release/{transactionId}","href":"/api-reference/transactions/release"},{"title":"Capture","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/capture/{transactionId}","href":"/api-reference/transactions/capture"},{"title":"Cancel","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/cancel/{transactionId}","href":"/api-reference/transactions/cancel"},{"title":"Adjust","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/adjust/{transactionId}","href":"/api-reference/transactions/adjust"},{"title":"Query","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/transactions/{transactionId}","href":"/api-reference/transactions/query"},{"title":"Receipt","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/transactions/{transactionId}/receipt","href":"/api-reference/transactions/receipt"},{"title":"Query by acquirer custom identifier","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/transactions?acquirerCustomId=${customIdentifier}","href":"/api-reference/transactions/query-by-acquirer-custom-identifier"}]},{"group":"Webhooks","pages":[{"title":"Setup URL","deprecated":true,"version":null,"openapi":"/openapi.yml put /api/v1/webhook","href":"/api-reference/webhooks/setup-url"},{"title":"Gets a webhook settings by its Id","deprecated":null,"version":null,"openapi":"/openapi.yml get /api/v2/webhooks/{webhookId}","href":"/api-reference/webhooks/gets-a-webhook-settings-by-its-id"},{"title":"Gets all webhook settings","deprecated":null,"version":null,"openapi":"/openapi.yml get /api/v2/webhooks","href":"/api-reference/webhooks/gets-all-webhook-settings"},{"title":"Creates a new webhook setting","deprecated":null,"version":null,"openapi":"/openapi.yml post /api/v2/webhooks","href":"/api-reference/webhooks/creates-a-new-webhook-setting"},{"title":"Updates a webhook setting url","deprecated":null,"version":null,"openapi":"/openapi.yml patch /api/v2/webhooks/{webhookId}/url","href":"/api-reference/webhooks/updates-a-webhook-setting-url"},{"title":"Enables a webhook setting","deprecated":null,"version":null,"openapi":"/openapi.yml post /api/v2/webhooks/{webhookId}/enable","href":"/api-reference/webhooks/enables-a-webhook-setting"},{"title":"Disables a webhook setting","deprecated":null,"version":null,"openapi":"/openapi.yml post /api/v2/webhooks/{webhookId}/disable","href":"/api-reference/webhooks/disables-a-webhook-setting"},{"title":"Updates a webhook setting url","deprecated":null,"version":null,"openapi":"/openapi.yml patch /api/v2/webhooks/{webhookId}/credentials","href":"/api-reference/webhooks/updates-a-webhook-setting-url-1"}]},{"group":"Paybylink","pages":[{"title":"resend","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/paybylink/{orderId}/resend","href":"/api-reference/paybylink/resend"}]},{"group":"Subscription","pages":[{"title":"Create","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/subscriptions","href":"/api-reference/subscription/create"}]},{"group":"Orders","pages":[{"title":"Create Order","description":"This endpoint allows you to create a new order. Orders are used in Paybyrd Checkout or the Pay By Link feature.","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/orders","href":"/api-reference/orders/create-order"},{"title":"Query Order","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/orders/{orderId}","href":"/api-reference/orders/query-order"},{"title":"Cancel Order","description":"Cancel an order by id","deprecated":false,"version":null,"openapi":"/openapi.yml delete /api/v2/orders/{orderId}","href":"/api-reference/orders/cancel-order"}]},{"group":"Tokenization","pages":[{"title":"Get Token by reference","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/tokens","href":"/api-reference/tokenization/get-token-by-reference"},{"title":"Create Token","deprecated":false,"version":null,"openapi":"/openapi.yml post /api/v2/tokens","href":"/api-reference/tokenization/create-token"},{"title":"Get Token By Id","deprecated":false,"version":null,"openapi":"/openapi.yml get /api/v2/tokens/{tokenId}","href":"/api-reference/tokenization/get-token-by-id"}]}]},{"group":"Settlements API","pages":[{"group":"Settlement files","pages":[{"title":"List settlement files","deprecated":null,"version":null,"openapi":"/settlements-api.yml get /api/v1/SettlementFiles","href":"/api-reference/settlement-files/list-settlement-files"}]}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]}]},"basePath":"","title":"Query Order - Paybyrd","buildId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","deploymentId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DCDCdBVX.js","utils-ME8dDnLe.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-0e84ACsd.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-wgRBj-ia.js","snippetPresets-C11Sgb-o.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-C0lapOpP.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-ZeRQV8fF.js","shallow-BupWh095.js","getApiPlaygroundDisplay-BnYQO2Ss.js","CodeSnippet-RKKOc8c_.js","CodeSnippets-Drf_m8wS.js","Page-Bevw23-4.js","getPastedJson-u6QiPzNZ.js","icon-Bb-CBSxO.js","MethodPill-F7l5AI7V.js","DuplicateIcon-IiAXkdSg.js","createIcon-FliI8EBc.js","DynamicMarkdown-B62XqCSI.js","SectionHeading-Dj31pT03.js","axios-vUo_bRtp.js","Markdown-BOgQCTwD.js","clsx-BIWXJmsZ.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DKZWslLH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-UDqbR6xh.js"]}